[PC-BSD Testing] Last 9.2 release (p7) issues

Kris Moore kris at pcbsd.org
Thu Sep 26 11:22:38 PDT 2013


The system-config-printer was fixed recently in ports, should be
corrected with the next set of packages. (Still building the at the
moment, the ports tree has all sorts of broken stuff ATM)

I'll look into the other issues shortly.

On 09/26/2013 14:10, Bridger Dyson-Smith wrote:
> To add to Yuri's list, there is a problem with system-config-printer |
> system-config-printer-applet.
>
> > system-config-printer
>
> ** (process:14252): WARNING **: Trying to register gtype
> 'GMountMountFlags' as enum when in fact it is of type 'GFlags'
>
> ** (process:14252): WARNING **: Trying to register gtype
> 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'
>
> ** (process:14252): WARNING **: Trying to register gtype
> 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
>
> And as root
> # system-config-printer
>
> ** (process:15133): WARNING **: Trying to register gtype
> 'GMountMountFlags' as enum when in fact it is of type 'GFlags'
>
> ** (process:15133): WARNING **: Trying to register gtype
> 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'
>
> ** (process:15133): WARNING **: Trying to register gtype
> 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
> /usr/local/lib/python2.7/site-packages/gtk-2.0/gtk/__init__.py:57:
> GtkWarning: could not open display
>   warnings.warn(str(e), _gtk.Warning)
> /usr/local/share/system-config-printer/system-config-printer.py:140:
> GtkWarning: IA__gdk_cursor_new_for_display: assertion `GDK_IS_DISPLAY
> (display)' failed
>   busy_cursor = gtk.gdk.Cursor(gtk.gdk.WATCH)
> Traceback (most recent call last):
>   File
> "/usr/local/share/system-config-printer/system-config-printer.py",
> line 140, in <module>
>     busy_cursor = gtk.gdk.Cursor(gtk.gdk.WATCH)
> RuntimeError: could not create GdkCursor object
>
>
> Thanks!
> Bridger
>
>
>
> On Thu, Sep 26, 2013 at 2:00 PM, Yuri Momotiuk <yurkis at gmail.com
> <mailto:yurkis at gmail.com>> wrote:
>
>     Hello
>
>     I see several issues on last p7 release of 9.2:
>
>     1. Development-IDE metapackage can't be installed
>
>     * when I press 'Apply' on GUI nothing heppens
>     * when I try to install using pc-metapkgmanager I get:
>     Pending Meta-Package changes: 1                                  
>                                                                
>     ERROR: No such meta-pkg: Development-IDE      
>
>     2. System localization
>
>     * Seems like installer and first boot GUI are not set system
>     locale (I expect that system locale should be same as
>     installation/first boot gui language just like in 9.0/9.1)
>
>     * Seems like pc-pkgmanager translation is missed on pootle server
>
>     * update gui is untranslated (I don't know why, I'll see this later)
>
>     -- 
>     Best regards, Yuri Momotyuk
>
>     _______________________________________________
>     Testing mailing list
>     Testing at lists.pcbsd.org <mailto:Testing at lists.pcbsd.org>
>     http://lists.pcbsd.org/mailman/listinfo/testing
>
>
>
>
> _______________________________________________
> Testing mailing list
> Testing at lists.pcbsd.org
> http://lists.pcbsd.org/mailman/listinfo/testing


-- 
Kris Moore
PC-BSD Software
iXsystems

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.pcbsd.org/pipermail/testing/attachments/20130926/73e06af9/attachment-0001.html>


More information about the Testing mailing list